> For the complete documentation index, see [llms.txt](https://docs.struct.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.struct.com/pim3/reference/import.md).

# Import

You can import product, variant, variant group, category or global list data through [Import](/pim3/reference/import.md).

To start the import process upload a spreedsheet (.xlsx).

### Start import

To start import follow below steps.

1. Click "Choose file"
2. Select a spreedsheet (.xlsx)
3. Select import type
4. Select "Include media" to upload a separate archive (.zip) with physical files referenced in uploaded spreadsheet.
5. If "Include media" selected, select archive (.zip) by clicking "Select .zip file"
6. Select media folder if any media included. Defaults to folder set under [Settings > Setup](/pim3/reference/settings/setup.md).
7. Click "Upload"

### Process import

After [Start import](#start-import) completed, processing of the uploaded data can begin.

1. Select Entity type
2. Map fields from spreedsheet to Attributes in PIM setting "Is key" along with additional [details](/pim3/reference/import/mapping-details.md)
3. Click "Next"

Depending on Entity type further steps may be needed. See import detail for each entity type below.

| Entity type        | Import details                                                                    |
| ------------------ | --------------------------------------------------------------------------------- |
| Products           | [See details](/pim3/reference/import/import-by-entity-type.md#products)           |
| Variants           | [See details](/pim3/reference/import/import-by-entity-type.md#variants)           |
| Variant groups     | [See details](/pim3/reference/import/import-by-entity-type.md#variant-groups)     |
| Categories         | [See details](/pim3/reference/import/import-by-entity-type.md#categories)         |
| Global list values | [See details](/pim3/reference/import/import-by-entity-type.md#global-list-values) |

### Review changes

After Process import completed, changes can be reviewed before committing.

#### Approve and commit changes

1.

#### Correcting errors

1.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.struct.com/pim3/reference/import.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
